package main

import (
	"fmt"
	"forever-files/db"
	"forever-files/source"
	"forever-files/types"
)

func main() {

	fmt.Printf("%v\n", types.AppName)

	store, err := db.NewDB(types.AppName)
	if err != nil {
		panic(fmt.Errorf("error creating db: %w", err))
	}

	err = store.Migrate()
	if err != nil {
		panic(fmt.Errorf("error migrating db: %w", err))
	}

	source.GatherInfo("C:\\Users\\gomas\\Nextcloud", store)
}
